do
   local MyUnitIdTable = {
--SERAPHIMS      
	  'xso0101',  
	  'xso2001',
	  'xso1101',
--FTU	  
	  'ueo1101',
	  'ueo1103',
	  'ueo1102',
	  'ueo0105',
	  'ueb0401',
	  'uob2101',
	  'ueo0101',
--CYBRANS	  
	  'uro0101',
	  'uro1101',
	  'uro1102',
	  'uro2109',
	  'uro2001',
	  'uro1103',
	  'urb0401',
--AEONS	  
	  'uao01101',
	  'uao0101',
	  'uao1102',
	  'uao1103',
	  'uab0401',
	  'uao2109',
	  'uao2001',
	  'uao2001',
   }


   local MyIconPath = "/Mods/modtestmagic"

   local oldFileNameFn = GetUnitIconFileNames
   
   local function IsMyUnit(bpid)
      for i, v in MyUnitIdTable do
         if v == bpid then
            return true
         end
      end
      return false
   end
   
   function GetUnitIconFileNames(blueprint)
      if IsMyUnit(blueprint.Display.IconName) then
         local iconName = MyIconPath .. "/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         local upIconName = MyIconPath .. "/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         local downIconName = MyIconPath .. "/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         local overIconName = MyIconPath .. "/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         
         if DiskGetFileInfo(iconName) == false then
            WARN('Blueprint icon for unit '.. blueprint.Display.IconName ..' could not be found, check your file path and icon names!')
            iconName = '/textures/ui/common/icons/units/default_icon.dds'
            upIconName = '/textures/ui/common/icons/units/default_icon.dds'
            downIconName = '/textures/ui/common/icons/units/default_icon.dds'
            overIconName = '/textures/ui/common/icons/units/default_icon.dds'
         end
         return iconName, upIconName, downIconName, overIconName
      else
         return oldFileNameFn(blueprint)
      end
   end
end